unit Myc.Data.Tuple;

interface

type
    ITuple<T> = interface
        {$region 'private'}
        function GetItems(Idx: Integer): T;
        function GetCount: Integer;
        {$endregion}
        property Items[Idx: Integer]: T read GetItems; default;
        property Count: Integer read GetCount;
    end;

implementation

end.
